import { Texture, RenderTexture } from 'pixi.js';
import { EffectOptions, EffectRendererOptions } from './types';
export declare function makeEffect({ name, renderer, values }: EffectOptions): Promise<{
    filter: null;
    render({ canvasTexture }: EffectRendererOptions): Texture<import('pixi.js').TextureSource<any>>;
} | {
    filter: any;
    render({ width, height, canvasTexture, progress, values: runtimeValues, }: EffectRendererOptions): RenderTexture;
}>;
